Subject: bug#49495: closed (Re: bug#49495: 27.2; portable dumper incompatible with 64K pages on aarch64)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Jul 2021 10:03:01 +0000

Your bug report

#49495: 27.2; portable dumper incompatible with 64K pages on aarch64

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49495: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49495
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49495: 27.2; portable dumper incompatible with 64K pages on aarch64
From: Eli Zaretskii <[email-masked]>
To: Dan Čermák <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 17 Jul 2021 13:02:25 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Dan Čermák <[email-masked]>
> Cc: Daniel Colascione <[email-masked]>, [email-masked]
> Date: Sat, 17 Jul 2021 11:45:46 +0200
> 
> > commit 216c65b135c2b0be7e048cdc6683873b03b99b9a
> > Author:     Lars Ingebrigtsen <[email-masked]>
> > AuthorDate: Sun Mar 28 19:13:00 2021 +0200
> >
> >     Use a 64KB page size for pdump
> >     
> >     * src/pdumper.c (dump_get_page_size): Use a 64KB page size on all
> >     architectures, as this many vary between systems (bug#47125).
> >
> > So I think the problem should be fixed now, but it'd be good to get it
> > confirmed.
> 
> This appears to fix this issue. Thanks!

Thanks, so I'm closing this bug report.

Subject: 27.2; portable dumper incompatible with 64K pages on aarch64
From: Dan Čermák <[email-masked]>
To: [email-masked]
Date: Fri, 09 Jul 2021 18:38:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I am forwarding a bugreport from Fedora, about the portable dumper
causing issues when launching Emacs in a RHEL 8 chroot on aarch64:
(from https://bugzilla.redhat.com/show_bug.cgi?id=1974244)

--8<---------------cut here---------------start------------->8---
The emacs binary from emacs-nox-27.2-2.fc33.aarch64 cannot start in a chroot on Red Hat Enterprise Linux 8 because it assumes 4K pages:

openat(AT_FDCWD, "/usr/bin/emacs-27.2-nox.pdmp", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=10124128, ...}) = 0
read(3, "DUMPEDGNUEMACS\0\0(\304wp;D\330G%\f\265\337\214\264VO"..., 80) = 80
mmap(NULL, 10124128, PROT_NONE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xffff92240000
mmap(0xffff92240000, 6946816, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0) = 0xffff92240000
mmap(0xffff928e0000, 90112, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x6a0000) = 0xffff928e0000
mmap(0xffff928f6000, 3087200, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3, 0x6b6000) = -1 EINVAL (Invalid argument)

Map offsets and addresses must be a multiple of the page size.
--8<---------------cut here---------------end--------------->8---

Unfortunately, I am not really familiar with Emacs' internals to know
how to handle this bug report.

Cheers,

Dan